Skip to main content
POST
/
v1
/
transcripts
/
{video_id}
/
edits
Submit a transcript line-text correction
curl --request POST \
  --url https://api.arcmira.com/v1/transcripts/{video_id}/edits \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "segmentIndex": 1,
  "originalText": "<string>",
  "correctedText": "<string>"
}
'
{
  "error": {
    "type": "<string>",
    "code": "<string>",
    "message": "<string>",
    "doc_url": "<string>",
    "request_id": "<string>",
    "param": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
segmentIndex
integer
required
Required range: x >= 0
originalText
string
required

The current segment text you are correcting (guards against applying to a changed segment).

correctedText
string
required
Required string length: 1 - 2000
revision
string

The meta.revision from the transcript GET.

Response

Success